Summary: Tools to manage the Linux NetLabel subsystem
Name: netlabel_tools
Version: 0.17
Release: 9%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://netlabel.sourceforge.net/
Source0:  http://dl.sourceforge.net/sourceforge/netlabel/%{name}-%{version}.tar.gz
Source1: netlabel
Source2: netlabel.rules
Patch1: netlabel_tools-0.17-new-hdrs.patch
Patch2: netlabel_tools-27_28.patch
Patch3: netlabel_tools-0.17-errmsg.patch
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: chkconfig
BuildRequires: kernel-headers >= 2.6.18
BuildRequires: libnl-devel

%description
NetLabel is a kernel subsystem which implements explicit packet labeling
protocols such as CIPSO and RIPSO for Linux.  Packet labeling is used in
secure networks to mark packets with the security attributes of the data they
contain.  This package provides the necessary user space tools to query and
configure the kernel subsystem.

%prep 
%setup -q

# Build fixes.
%patch1 -p1
# Upstream patch.
%patch2 -p0
# Patch for rhbz#216860
%patch3 -p1

%build
# Don't use _smp_mflags, it's small and a hand crafted Makefile
make

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_PREFIX=${RPM_BUILD_ROOT} \
     INSTALL_MAN_DIR=${RPM_BUILD_ROOT}%{_mandir} \
     install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
install -m 0640 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}

%post

if [ $1 = 1 ]; then
    /sbin/chkconfig --add netlabel
fi

%preun

if [ $1 = 0 ]; then
    /sbin/chkconfig --del netlabel
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc docs/*.txt
%attr(0755,root,root) /sbin/*
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/netlabel
%config(noreplace) %attr(640,root,root) %{_sysconfdir}/netlabel.rules
%attr(0644,root,root) %{_mandir}/man8/*

%changelog
* Wed Nov 29 2006 James Antill <james.antill@redhat.com> - 0.17-9
- Resolves: RHBZ#216860
-  netlabelctl tool should print error when used incorrectly

* Wed Oct 25 2006 Jarod Wilson <jwilson@redhat.com> - 0.17-8
- More spec cleanups for RHEL-5 review

* Wed Oct 25 2006 James Antill <james@and.org> - 0.17-7
- Fixup specfile for RHEL-5 review.
- Do chkconfig calls in post/preun.
- Add chkconfig as a dep.

* Mon Oct 16 2006 James Antill <james@and.org> - 0.17-5
- Add upstream patch.
- Fixup patch application.

* Sat Oct 14 2006 Steve Grubb <sgrubb@redhat.com> - 0.17-3
- Add init scripts and default rules

* Sun Oct  1 2006 James Antill <james@and.org> - 0.17-2
- Upgrade to latest upstream.

* Tue Aug 29 2006 James Antill <james@and.org> - 0.16-5
- Fix install calls for mock.

* Tue Aug 29 2006 James Antill <james@and.org> - 0.16-4
- Fix more reviewing problems, building on newer kernel-headers.
- Add URL tag.

* Fri Aug 18 2006 James Antill <james@and.org> - 0.16-3
- Fix minor review problems.
- Added BuildRequires for kernel headers (netlink).

* Fri Aug 18 2006 James Antill <james@and.org> - 0.16-2
- Use root as owner.
- Contribute to fedora extras.

* Thu Aug  3 2006 Paul Moore <paul.moore@hp.com> 0.16-1
- Bumped version number.

* Thu Jul  6 2006 Paul Moore <paul.moore@hp.com> 0.15-1
- Bumped version number.

* Mon Jun 26 2006 Paul Moore <paul.moore@hp.com> 0.14-1
- Bumped version number.
- Changes related to including the version number in the path name.
- Changed the netlabelctl perms from 0750 to 0755.
- Removed the patch. (included in the base with edits)
- Updated the description.

* Fri Jun 23 2006 Steve Grubb <sgrubb@redhat.com> 0.13-1
- Initial build.

